author: Michel Dagenais
copyright: Michel Dagenais, GNU General Public License, 1997
date: 8 October 1997
keyword: HTML
keyword: SGML
keyword: printed
keyword: documentation
keyword: linearization
keyword: medium audience

# Sgmllinear: From a Web of HTML documents to a linear document

## Abstract

This program reads an HTML document and referenced documents to produce a merged linear document, suitable for printing as a reference manual.

The program `sgmllinear` reads the HTML input file (first command line argument, standard input when no argument given), reads a number of referenced HTML files, and writes the merged output to the output file (second command line argument, standard output when no argument given). It accepts the following command line options.

-html
  The SGML document type processed is HTML (default).
-index `name`
  File name to append when an hypertext reference leads to a directory (e.g. an HREF of ../../sgml/src is interpreted as ../../sgml/src/name if `src` is a directory. The default name is `index.html`.
-prefix old new
  When an hypertext reference starts with old, replace old by new before trying to follow the hypertext link.
-f extension filter
  Any file ending with extension is read through the program filter. This is typically used to process files ending in `.i3` with `m3tosgml`.
-v
  Print information about the parsing as it proceeds.

- Merging HTML files during the linearization